Wt: Wt::Ext::ToolTipConfig Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
Wt::Ext::ToolTipConfig Class Reference
Ext widgets (Wt::Ext, deprecated)

A configuration object for tool tips. More...

`#include <Wt/Ext/ToolTipConfig>`

Inheritance diagram for Wt::Ext::ToolTipConfig:
[legend]

List of all members.

## Public Member Functions
| ToolTipConfig (WObject *parent=0)
| Create a default tool tip configuration object.
## Public Attributes
bool | autoDismiss
| Option to dismiss the tool tip automatically after a fixed period.
bool | autoHide
| Option to hide the tool tip when the mouse moves away.
int | dismissDelay
| Delay (in milliseconds) to dismiss the tool tip.
int | hideDelay
| Delay (in milliseconds) to hide the tool tip.
int | showDelay
| Delay (in milliseconds) to show the tool tip.
bool | animate
| Option to use animations.
bool | hideOnClick
| Option to hide when the user clicks anywhere.
int | maxWidth
| Maximum tool tip width (pixels).
int | minWidth
| Minimum tool tip width (pixels).
bool | trackMouse
| Option to track the mouse.

## Detailed Description

A configuration object for tool tips.

See also:
  AbstractButton::configureToolTip()

## Member Data Documentation

bool Wt::Ext::ToolTipConfig::animate

Option to use animations.

The default value is false.

bool Wt::Ext::ToolTipConfig::autoDismiss

Option to dismiss the tool tip automatically after a fixed period.

The default value is true.

bool Wt::Ext::ToolTipConfig::autoHide

Option to hide the tool tip when the mouse moves away.

The default value is true.

int Wt::Ext::ToolTipConfig::dismissDelay

Delay (in milliseconds) to dismiss the tool tip.

The default value is 5000.

See also:
  autoDismiss

int Wt::Ext::ToolTipConfig::hideDelay

Delay (in milliseconds) to hide the tool tip.

The default value is 200.

See also:
  autoHide

bool Wt::Ext::ToolTipConfig::hideOnClick

Option to hide when the user clicks anywhere.

The default value is true.

int Wt::Ext::ToolTipConfig::maxWidth

Maximum tool tip width (pixels).

The default value is 300.

int Wt::Ext::ToolTipConfig::minWidth

Minimum tool tip width (pixels).

The default value is 40.

int Wt::Ext::ToolTipConfig::showDelay

Delay (in milliseconds) to show the tool tip.

The default value is 500.

bool Wt::Ext::ToolTipConfig::trackMouse

Option to track the mouse.

The default value is false

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator